<?php

/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Secure Question Panel
| Version: 1.00
| File Name: secure_question.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
| Some code by  Offenbach - http://www.phpfusion-freak.dk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
	
	if (file_exists(INFUSIONS."secure_question_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."secure_question_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."secure_question_panel/locale/English.php"; 
}

add_to_title($locale['global_200'].$locale['secure_001']);

//SETTINGS
$secure ="1"; //// 1 = On  | 2 = Off

if (iMEMBER || !$settings['enable_registration'] || $secure !== '1') { redirect(BASEDIR."index.php"); }
if (isset($_COOKIE['secure_question'])) { redirect (BASEDIR."register.php"); }      


if($secure == '1') {
add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/admin-msg.js'></script>");
// Google Webfont
add_to_head("<link href='http://fonts.googleapis.com/css?family=Over+the+Rainbow' rel='stylesheet' type='text/css'>");
require_once INFUSIONS."secure_question_panel/includes/styles.php";
   opentable($locale['secure_001']);

   $error = "";

   // Checking if the Form is Submitted or Not
   if (isset($_POST['secure_submit']))
   {
      if (isset($_POST['secure_answer']))
      {
         $secure_answer = stripinput(trim($_POST['secure_answer']));
      }
      else {
         $error .= $locale['secure_error1']."<br />\n";
      }

      if (isset($_POST['secure_question']))
      {
         $secure_question = stripinput(trim($_POST['secure_question']));
      }
      else {
         $error .= $locale['secure_error1']."<br />\n";
      }

      // Check the Answer if it is not empty and Correct
      if ($secure_answer != "")
      {
         if (strtolower($locale['secure_answer'][$secure_question]) != strtolower($secure_answer))
         {
            $error .= $locale['secure_error2']."<br />\n";
         }
         else {
		 // Set Cookie for 10 mins & redirect to register.php 
            $error .= setcookie("secure_question", "secure_submit", time()+600); redirect(BASEDIR."register.php");
         }
      }
      else {
            $error .= $locale['secure_error1']."<br />\n";
      }
   }


srand ((double)microtime()*1000000);
$secure_question = rand(1, 10);

     echo"<div class='secque-intro'>".$locale['secure_003']." </div>\n
	 <br />\n<hr width='90%'>\n
	 </hr>\n
	 <div class='' valign='top' align='center'>\n
	 <fieldset class='secque-fieldset'><legend class='secque-legend'>".$locale['secure_001']."</legend>\n";
     echo "<div class='secure-question'> ".$locale['secure_question'][$secure_question]."</div>\n";
     echo "<br />\n";
     echo "<form name='secure_answer' method='post' action='".FUSION_SELF."'>\n";
     echo $locale['secure_005']." <input type='text' name='secure_answer' maxlength='100' class='textbox' style='width:200px; vertical-align:middle;'>\n";
     echo "<input type='hidden' name='secure_question' value='".$secure_question."'>\n";
     echo"<input type='submit' name='secure_submit' value='".$locale['secure_004']."' class='button'></form>\n";
     echo "</fieldset>\n
	 </div>\n
	 <br />\n";
	 
if ($error){
     echo"<div id='close-message'><div class='secque-error'>".$error."</div>
	 \n</div>\n";
}
unset($secure_question);
closetable();

}

require_once THEMES."templates/footer.php";
?>